<?php

namespace Wp618\Com\CommingSoon;

if ( !defined( 'ABSPATH' ) ) exit;

//
class Menu
{
    const PAGE_TITLE = '批量分类';
    // https://developer.wordpress.org/resource/dashicons/
    const MENU_ICON = 'dashicons-editor-ul';

    private $app;

    //
    public function __construct(){
        $this->app = App::getInstance();

        \add_action('admin_menu', [$this, 'set_menu']);
    }

    //
    public function set_menu()
    {
        $parent_slug = strtolower(str_replace('\\', '_', __CLASS__));
        $is_actived = $this->app->get_is_actived();

        $title = $menu_title = self::PAGE_TITLE;

//        add_menu_page(
//            $title,
//            $menu_title,
//            'manage_options',
//            $parent_slug,
//            [$this->app->setup, 'load_setup'],
//            self::MENU_ICON,
//            100
//        );

        add_submenu_page(
            'options-general.php',
            '维护模式',
            '维护模式',
            'manage_options',
            get_action('setting'),
            [$this->app->setup, 'load_setup']
        );
    }

    //
    private function get_sub_slug($num){
        $slug = strtolower(str_replace('\\', '_', __CLASS__));

        return $slug . '_' . substr(md5($num), -8);
    }

}
